com.streambase.liveview.client

## Enum LiveViewClientCapability

- java.lang.Object
- - java.lang.Enum<LiveViewClientCapability>
  - - com.streambase.liveview.client.LiveViewClientCapability

- All Implemented Interfaces:
    Serializable, Comparable<LiveViewClientCapability>

      public enum LiveViewClientCapability
      extends Enum<LiveViewClientCapability>

  Enumerates certain capabilities that may be supported by a LiveView Client.

  Since this feature is known to servers only since 1.6, older clients will have a default value of EMPTY_CLIENT_CAPABILITY.

  Since:
    1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPTS_SEPARATELY_TRANSMITTED_EXTENDED_KEYS`
    `AGG_MARK_END`
    `COMPLEX_KEYS`
    `DATA_ON_REMOVE_MESSAGE`
    `FULL_SCHEMA` Whether or not this client supports full Schemas
    `GUID_BASED_ALERTS`
    `JSON_SCHEMA`
    `KEYFIELDS_IN_BEGINSNAPSHOT`
    `LISTS_AND_HIERARCHICAL`
    `PUBLISH_V2`
    `REST_API_v1` For internal use only
    `TOLERATES_REDUCED_HEARTBEAT_RATE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CURRENT_LV_CLIENT_CAPABILITIES_CSV`
    `static EnumSet<LiveViewClientCapability>` | `CURRENT_LV_CLIENT_CAPABILITY` Note that the default client capability does not include AGG_MARK_END
    `static EnumSet<LiveViewClientCapability>` | `EMPTY_CLIENT_CAPABILITY`
    `static EnumSet<LiveViewClientCapability>` | `REQ_CLIENT_CAPABILITIES_COMPLEX_KEYS_ONLY`
    `static EnumSet<LiveViewClientCapability>` | `REQ_CLIENT_CAPABILITIES_LH_DATA`
    `static EnumSet<LiveViewClientCapability>` | `REST_API_V1_CAPABILITIES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReadable()`
    `String` | `toString()`
    `static LiveViewClientCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LiveViewClientCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL_SCHEMA

          public static final LiveViewClientCapability FULL_SCHEMA

      Whether or not this client supports full Schemas

    - #### JSON_SCHEMA

          public static final LiveViewClientCapability JSON_SCHEMA

    - #### LISTS_AND_HIERARCHICAL

          public static final LiveViewClientCapability LISTS_AND_HIERARCHICAL

    - #### COMPLEX_KEYS

          public static final LiveViewClientCapability COMPLEX_KEYS

    - #### PUBLISH_V2

          public static final LiveViewClientCapability PUBLISH_V2

    - #### DATA_ON_REMOVE_MESSAGE

          public static final LiveViewClientCapability DATA_ON_REMOVE_MESSAGE

    - #### ACCEPTS_SEPARATELY_TRANSMITTED_EXTENDED_KEYS

          public static final LiveViewClientCapability ACCEPTS_SEPARATELY_TRANSMITTED_EXTENDED_KEYS

    - #### TOLERATES_REDUCED_HEARTBEAT_RATE

          public static final LiveViewClientCapability TOLERATES_REDUCED_HEARTBEAT_RATE

    - #### KEYFIELDS_IN_BEGINSNAPSHOT

          public static final LiveViewClientCapability KEYFIELDS_IN_BEGINSNAPSHOT

    - #### GUID_BASED_ALERTS

          public static final LiveViewClientCapability GUID_BASED_ALERTS

    - #### AGG_MARK_END

          public static final LiveViewClientCapability AGG_MARK_END

    - #### REST_API_v1

          public static final LiveViewClientCapability REST_API_v1

      For internal use only
      Since:
        2.2

  - ### Field Detail

    - #### EMPTY_CLIENT_CAPABILITY

          public static final EnumSet<LiveViewClientCapability> EMPTY_CLIENT_CAPABILITY

    - #### CURRENT_LV_CLIENT_CAPABILITY

          public static final EnumSet<LiveViewClientCapability> CURRENT_LV_CLIENT_CAPABILITY

      Note that the default client capability does not include AGG_MARK_END

    - #### CURRENT_LV_CLIENT_CAPABILITIES_CSV

          public static final String CURRENT_LV_CLIENT_CAPABILITIES_CSV

    - #### REQ_CLIENT_CAPABILITIES_COMPLEX_KEYS_ONLY

          public static final EnumSet<LiveViewClientCapability> REQ_CLIENT_CAPABILITIES_COMPLEX_KEYS_ONLY

    - #### REQ_CLIENT_CAPABILITIES_LH_DATA

          public static final EnumSet<LiveViewClientCapability> REQ_CLIENT_CAPABILITIES_LH_DATA

    - #### REST_API_V1_CAPABILITIES

          public static final EnumSet<LiveViewClientCapability> REST_API_V1_CAPABILITIES

  - ### Method Detail

    - #### values

          public static LiveViewClientCapability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiveViewClientCapability c : LiveViewClientCapability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiveViewClientCapability valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getReadable

          public String getReadable()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<LiveViewClientCapability>`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.